---
name: Title Issue
about: Report a specific issue with a title/game in xemu.
title: 'Game Name: Brief Issue Description'
labels: bug
assignees: ''

---

<!--

!! BEFORE YOU SUBMIT AN ISSUE, PLEASE READ THE FOLLOWING !!

This template is for reporting specific video, audio, or other issues with
a title. Generally an issue should be filed for one specific title, in some
cases it does makes sense to tag multiple titles.

Pre-submit checklist:
- Have you read the getting started guide?
- Have you checked the FAQ?
- Have you checked to see if this issue has already been submitted?
- Are you using the latest version of xemu?
- Have you tried updating your platform drivers?
- Have you ruled out a bad dump of your game disc?

If you have questions about how to provide the information below, please
join the Discord server and get help from the community.

-->

### Title Information
<!-- Include the affected title's name and numeric ID. This can be found from
the compatibility page for the title at https://xemu.app. You can also simply
paste the URL from the compatibility page.
-->

* Titles: XboxGame (00000000)
* https://xemu.app/titles/00000000#Xbox-Game




### Bug Description
<!-- A clear and concise description of what the problem is. If xemu has
crashed, please include any associated debug output. -->

(...)

Steps to reproduce this issue:
1. (...)

<!-- If appropriate, please include a screenshot or video. -->




### Expected Behavior
<!-- A clear and concise description of what you expected to happen. If
appropriate, please include a screenshot or video from a real Xbox. -->

(...)




### Version
<!-- Include the affected version of xemu. If this is a regression, also include
the last known version without this problem. You can find the xemu version in
xemu by navigating to Help > About -->

* Version: 0.0.0-00-g0000000000
* Last-known Working: Unknown




### System Information
<!-- Please include basic information about your system. -->



| Field | Value |
|-------|-------|
| OS			| (...)			| <!-- e.g. Ubuntu 20.04.2 LTS -->
| CPU			| (...)			| <!-- e.g. Intel(R) Core(TM) i7-8850H CPU @ 2.60GHz -->
| Graphics Device	| (...)			| <!-- e.g. NVIDIA Quadro P2000 -->
| Graphics Driver	| (...)			| <!-- e.g. 3.3.0 NVIDIA 450.119.03 -->








### Additional Context
<!-- Add any other useful information about the problem here. -->
